#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: idris
version: 1.1.1
id: idris-1.1.1-FsTSQfsxgPL9kPVabqfRyt
key: idris-1.1.1-FsTSQfsxgPL9kPVabqfRyt
license: BSD3
maintainer: Edwin Brady <eb@cs.st-andrews.ac.uk>
stability: Beta
homepage: http://www.idris-lang.org/
synopsis: Functional Programming Language with Dependent Types
description:
    Idris is a general purpose language with full dependent types.
    It is compiled, with eager evaluation.
    Dependent types allow types to be predicated on values,
    meaning that some aspects of a program'\''s behaviour can be
    specified precisely in the type. The language is closely
    related to Epigram and Agda. There is a tutorial at
    <http://www.idris-lang.org/documentation>.
    Features include:
    .
    * Full, first class, dependent types with dependent pattern matching
    .
    * where clauses, with rule, case expressions,
    pattern matching let and lambda bindings
    .
    * Interfaces (similar to type classes), monad comprehensions
    .
    * do notation, idiom brackets, syntactic conveniences for lists,
    tuples, dependent pairs
    .
    * Totality checking
    .
    * Coinductive types
    .
    * Indentation significant syntax, extensible syntax
    .
    * Cumulative universes
    .
    * Simple foreign function interface (to C)
    .
    * Hugs style interactive environment
category: Compilers/Interpreters, Dependent Types
author: Edwin Brady
exposed: True
indefinite: False
exposed-modules:
    IRTS.BCImp IRTS.Bytecode IRTS.CodegenC IRTS.CodegenCommon
    IRTS.CodegenJavaScript IRTS.Compiler IRTS.Defunctionalise
    IRTS.DumpBC IRTS.Exports IRTS.Inliner IRTS.JavaScript.AST
    IRTS.JavaScript.Codegen IRTS.JavaScript.LangTransforms
    IRTS.JavaScript.Name IRTS.JavaScript.PrimOp
    IRTS.JavaScript.Specialize IRTS.Lang IRTS.LangOpts IRTS.Portable
    IRTS.Simplified IRTS.System Idris.ASTUtils Idris.AbsSyntax
    Idris.AbsSyntaxTree Idris.Apropos Idris.CaseSplit Idris.Chaser
    Idris.CmdOptions Idris.Colours Idris.Completion Idris.Core.Binary
    Idris.Core.CaseTree Idris.Core.Constraints Idris.Core.DeepSeq
    Idris.Core.Elaborate Idris.Core.Evaluate Idris.Core.Execute
    Idris.Core.ProofState Idris.Core.ProofTerm Idris.Core.TT
    Idris.Core.Typecheck Idris.Core.Unify Idris.Core.WHNF
    Idris.Coverage Idris.DSL Idris.DataOpts Idris.DeepSeq
    Idris.Delaborate Idris.Directives Idris.Docs Idris.Docstrings
    Idris.Elab.AsPat Idris.Elab.Clause Idris.Elab.Data
    Idris.Elab.Implementation Idris.Elab.Interface Idris.Elab.Provider
    Idris.Elab.Quasiquote Idris.Elab.Record Idris.Elab.Rewrite
    Idris.Elab.RunElab Idris.Elab.Term Idris.Elab.Transform
    Idris.Elab.Type Idris.Elab.Utils Idris.Elab.Value Idris.ElabDecls
    Idris.Erasure Idris.ErrReverse Idris.Error Idris.Help Idris.IBC
    Idris.IdeMode Idris.IdrisDoc Idris.Imports Idris.Info
    Idris.Info.Show Idris.Inliner Idris.Interactive Idris.Main
    Idris.ModeCommon Idris.Options Idris.Output Idris.Package
    Idris.Package.Common Idris.Parser Idris.Parser.Data
    Idris.Parser.Expr Idris.Parser.Helpers Idris.Parser.Ops
    Idris.PartialEval Idris.Primitives Idris.ProofSearch Idris.Prover
    Idris.Providers Idris.REPL Idris.REPL.Browse Idris.REPL.Commands
    Idris.REPL.Parser Idris.Reflection Idris.Termination
    Idris.Transforms Idris.TypeSearch Idris.Unlit Idris.WhoCalls
    Util.DynamicLinker Util.ScreenSize Util.System
hidden-modules: Util.Pretty Util.Net Idris.Package.Parser
                Paths_idris Version_idris Tools_idris
abi: a2812f7d2e642d50493291dd3848bf9a
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/idris-1.1.1
library-dirs: /usr/lib/ghc-8.2.2/site-local/idris-1.1.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/idris
hs-libraries: HSidris-1.1.1-FsTSQfsxgPL9kPVabqfRyt
extra-libraries:
    gmp
depends:
    base-4.10.1.0 aeson-1.2.3.0-LNkLuLvRI8W9I8ocVQs80F
    annotated-wl-pprint-0.7.0-8APeXc1MGYdCeWTvpg0wB3
    ansi-terminal-0.7.1.1-Dh7XzY8d9TAbWhL1ZsstE
    ansi-wl-pprint-0.6.8.1-9l3rnzSYKfWCCaU64ZOSjB array-0.5.2.0
    base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be binary-0.8.5.1
    blaze-html-0.9.0.1-AJ5BYeepLwbHkN0LWWSQW
    blaze-markup-0.8.0.0-KhGWK8j3xIT2gHtdkKPmyu bytestring-0.10.8.2
    cheapskate-0.1.1-A2Eswn8exkS2QsnGjkZTdL
    code-page-0.1.3-IgAXwLwH8aZ3hxp3qvXSZY containers-0.5.10.2
    deepseq-1.4.3.0 directory-1.3.0.2 filepath-1.4.1.2
    fingertree-0.1.3.1-DIZm51l9CXO8N2c2fFYs7K haskeline-0.7.4.0
    ieee754-0.8.0-B9FdsnFZjDO5G55ttUSqU0
    mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH
    network-2.6.3.2-Elf6Dxkfz0iKjb1zv5eBTP
    optparse-applicative-0.14.0.0-5Yv3vB6F9Ec49FKuO0i7CD
    parsers-0.12.7-JrFrL6T7e6LX9pYANYCxl pretty-1.1.3.3 process-1.6.1.0
    regex-tdfa-1.2.2-LXrPID2GWRYz5rkILVGL8
    safe-0.3.15-EroU33EYnr02fGSZYGiX97
    split-0.2.3.2-7cayvoeRj5XIrIBUB58mMy
    terminal-size-0.3.2.1-Hhm9bf6iOprEc6nFG30gJq
    text-1.2.2.2-E3rQA0mJl73IvZIzvmwqAj time-1.8.0.2
    transformers-0.5.2.0
    transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM
    trifecta-1.7.1.1-7leMN9AG4wX7ZIQc6IRYKU
    uniplate-1.6.12-KEBCAJdeJV5Cpdl7sQYF8W
    unordered-containers-0.2.8.0-I4wGGMV7X9X97sk1hrOqCV
    utf8-string-1.0.1.1-7sQ7eR5H5ED7poickls5aO
    vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4
    vector-binary-instances-0.2.3.5-88BjY2keX9S3iT3dJHxwKv
    zip-archive-0.3.1.1-7FrckYj3aETCtRFPL29bkU
    fsnotify-0.2.1.1-3lEv8IAzO35JCZpek7yECA
    async-2.1.1.1-K5IvYqkVegLI7CBS6i3gtn unix-2.7.2.2
    libffi-0.1-9BCKWMADPWqE9LZxtKazhb
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             aeson-1.2.3.0-LNkLuLvRI8W9I8ocVQs80F=46287d49060ec1324ce6cfe2c348dbdf
             annotated-wl-pprint-0.7.0-8APeXc1MGYdCeWTvpg0wB3=771c2426e5b31ca1c611532159e1ef8e
             ansi-terminal-0.7.1.1-Dh7XzY8d9TAbWhL1ZsstE=de59792f66ffb61bd5cb2ed7de76d387
             ansi-wl-pprint-0.6.8.1-9l3rnzSYKfWCCaU64ZOSjB=418525a6091a08cc1388df9e712f297d
             array-0.5.2.0=26dc06837667b4f45ea7fe07c114ff89
             base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be=fce7541e6cf9cbf2867cdcb0a2552fb8
             binary-0.8.5.1=efb65bc450356b9ea572733928ffb43f
             blaze-html-0.9.0.1-AJ5BYeepLwbHkN0LWWSQW=aacf4ada2f529531df2388d4874df568
             blaze-markup-0.8.0.0-KhGWK8j3xIT2gHtdkKPmyu=60bf71ffdbd66c0260456518da98a9ef
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             cheapskate-0.1.1-A2Eswn8exkS2QsnGjkZTdL=73659b0735e52c754975a33dfb3bf547
             code-page-0.1.3-IgAXwLwH8aZ3hxp3qvXSZY=5e15c1626662577c6df80accc1e8ee4f
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             deepseq-1.4.3.0=38379f7f81eed7fe046dd2a98559af2e
             directory-1.3.0.2=60cb0805ce3e0135e907efd1476a027a
             filepath-1.4.1.2=f49190c9093d895f9f159c40e7d1ff46
             fingertree-0.1.3.1-DIZm51l9CXO8N2c2fFYs7K=494fa6accefe3863484222138f15f67f
             haskeline-0.7.4.0=24b777f5b4ff8d658af854f896d5e835
             ieee754-0.8.0-B9FdsnFZjDO5G55ttUSqU0=5db827c2e22c3ea000430898b476e941
             mtl-2.2.1-DscMMmDQUE6GBfOSl4qMUH=1e76d6f7019a4b5c8c222b2fbbb06681
             network-2.6.3.2-Elf6Dxkfz0iKjb1zv5eBTP=be5c9ce6f97dd4968397992ca4f22add
             optparse-applicative-0.14.0.0-5Yv3vB6F9Ec49FKuO0i7CD=f15e9e49f950ae5cfb701c143a0a1e92
             parsers-0.12.7-JrFrL6T7e6LX9pYANYCxl=6c71ae564f502084c9696e067bb66348
             pretty-1.1.3.3=da5c0455980712cd8d78cc4bdcee49dd
             process-1.6.1.0=df30c64bceb5deb119c7833d040aa380
             regex-tdfa-1.2.2-LXrPID2GWRYz5rkILVGL8=49cee3c3b864e7a4b170da8a226077c5
             safe-0.3.15-EroU33EYnr02fGSZYGiX97=c20d058560be9a4b5e941a33ed437bf5
             split-0.2.3.2-7cayvoeRj5XIrIBUB58mMy=614819b9f074e058df73dc3c520cf25f
             terminal-size-0.3.2.1-Hhm9bf6iOprEc6nFG30gJq=9c2997ecb82e5f60ac6a265052a3496b
             text-1.2.2.2-E3rQA0mJl73IvZIzvmwqAj=168216a11cdc39c8cc50d80b9c45a385
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM=94a5340d64a5db3506fe5654c7b40389
             trifecta-1.7.1.1-7leMN9AG4wX7ZIQc6IRYKU=ba94252bcb451e28376d1046df738d0c
             uniplate-1.6.12-KEBCAJdeJV5Cpdl7sQYF8W=0979fe64d448f3909eb4c4d33c81e6e0
             unordered-containers-0.2.8.0-I4wGGMV7X9X97sk1hrOqCV=b12cdae8ac228affcce9703d4cef3dce
             utf8-string-1.0.1.1-7sQ7eR5H5ED7poickls5aO=e0ce70380190fd366eaf58242d407bf1
             vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4=aa687f07efbeaeb82a30478c8f07e96e
             vector-binary-instances-0.2.3.5-88BjY2keX9S3iT3dJHxwKv=1f84f8655d10b195c7c2b7894b7f8829
             zip-archive-0.3.1.1-7FrckYj3aETCtRFPL29bkU=28bc1ce4a3892af1f864e721bcdf38c8
             fsnotify-0.2.1.1-3lEv8IAzO35JCZpek7yECA=94a6d508328fc87f2e17540cfc5b3db9
             async-2.1.1.1-K5IvYqkVegLI7CBS6i3gtn=2f2bfb87d27ef4e5ac013c6e1a680f92
             unix-2.7.2.2=1e3caa57de79efd01f1c7566785dcafa
             libffi-0.1-9BCKWMADPWqE9LZxtKazhb=77ead549066d8e9bf60750f77fa02fe5
haddock-interfaces: /usr/share/doc/idris/html/idris.haddock
haddock-html: /usr/share/doc/idris/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

